apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ./flux-system
  - ./helm-repositories.yaml


# infrastructure
  - ../../infrastructure/kafka/d8-ugmk-prod
  - ../../infrastructure/rabbitmq/d8-ugmk-prod
  - ../../infrastructure/camunda/d8-ugmk-prod
  - ../../infrastructure/vault/d8-ugmk-prod
  - ../../infrastructure/postgresql/d8-ugmk-prod
  - ../../infrastructure/zitadel/d8-ugmk-prod
  - ../../infrastructure/istio-config/d8-ugmk-prod
  - ./istio-ingress

# apps
  - ../../apps/attachments/d8-ugmk-prod
  - ../../apps/control-interface/d8-ugmk-prod
  - ../../apps/cross-section/d8-ugmk-prod
  - ../../apps/reviews/d8-ugmk-prod
  - ../../apps/remarks/d8-ugmk-prod
  - ../../apps/auth-flow/d8-ugmk-prod
  - ../../apps/notes/d8-ugmk-prod